---
http_interactions:
- request:
    method: get
    uri: https://secure.nicovideo.jp/secure/login_form
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Host:
      - secure.nicovideo.jp
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 24 May 2013 19:53:48 GMT
      Server:
      - Apache
      Content-Location:
      - login_form.php
      Vary:
      - negotiate
      Tcn:
      - choice
      X-Niconico-Authflag:
      - '0'
      Set-Cookie:
      - nicosid=1369425228.1533492135; expires=Mon, 22-May-2023 19:53:48 GMT; path=/;
        domain=.nicovideo.jp
      X-Niconico-Sid:
      - '1369425228.1533492135'
      Connection:
      - close
      Transfer-Encoding:
      - chunked
      Content-Type:
      - text/html
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 12627 characters]
        eT4KPC9odG1sPg==
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:48 GMT
- request:
    method: get
    uri: https://secure.nicovideo.jp/secure/login_form
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Host:
      - secure.nicovideo.jp
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 24 May 2013 19:53:48 GMT
      Server:
      - Apache
      Content-Location:
      - login_form.php
      Vary:
      - negotiate
      Tcn:
      - choice
      X-Niconico-Authflag:
      - '0'
      Set-Cookie:
      - nicosid=1369425228.1711886719; expires=Mon, 22-May-2023 19:53:48 GMT; path=/;
        domain=.nicovideo.jp
      X-Niconico-Sid:
      - '1369425228.1711886719'
      Connection:
      - close
      Transfer-Encoding:
      - chunked
      Content-Type:
      - text/html
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 12627 characters]
        eT4KPC9odG1sPg==
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:48 GMT
- request:
    method: post
    uri: https://secure.nicovideo.jp/secure/login?site=niconico
    body:
      encoding: UTF-8
      string: next_url=&mail=webmaster%40danbooru.donmai.us&password=uroobnad556
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - nicosid=1369425228.1533492135
      Host:
      - secure.nicovideo.jp
      Referer:
      - !ruby/object:URI::HTTPS
        scheme: https
        user: 
        password: 
        host: secure.nicovideo.jp
        port: 443
        path: /secure/login_form
        query: 
        opaque: 
        registry: 
        fragment: 
        parser: 
      Content-Type:
      - application/x-www-form-urlencoded
      Content-Length:
      - '66'
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 302
      message: Found
    headers:
      Date:
      - Fri, 24 May 2013 19:53:49 GMT
      Server:
      - Apache
      X-Niconico-Authflag:
      - '0'
      Set-Cookie:
      - area=US; expires=Tue, 19-Jan-2038 03:14:07 GMT; path=/; domain=.nicovideo.jp
      - lang=en-us; expires=Tue, 19-Jan-2038 03:14:07 GMT; path=/; domain=.nicovideo.jp
      - repair_history=deleted; expires=Thu, 01-Jan-1970 00:00:01 GMT; path=/; domain=.nicovideo.jp
      - user_session=deleted; expires=Thu, 01-Jan-1970 00:00:01 GMT
      - user_session=deleted; expires=Thu, 01-Jan-1970 00:00:01 GMT; path=/
      - user_session=deleted; expires=Thu, 01-Jan-1970 00:00:01 GMT; path=/; domain=.nicovideo.jp
      - user_session=user_session_23669858_158439451354553975; expires=Sun, 23-Jun-2013
        19:53:49 GMT; path=/; domain=.nicovideo.jp
      Location:
      - http://www.nicovideo.jp/
      Content-Length:
      - '0'
      Connection:
      - close
      Content-Type:
      - text/html
    body:
      encoding: US-ASCII
      string: ''
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:49 GMT
- request:
    method: get
    uri: http://www.nicovideo.jp/
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - nicosid=1369425228.1533492135; area=US; lang=en-us; user_session=user_session_23669858_158439451354553975
      Host:
      - www.nicovideo.jp
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: !binary |-
        T0s=
    headers:
      !binary "RGF0ZQ==":
      - !binary |-
        RnJpLCAyNCBNYXkgMjAxMyAxOTo1Mzo0OSBHTVQ=
      !binary "U2VydmVy":
      - !binary |-
        QXBhY2hl
      !binary "VmFyeQ==":
      - !binary |-
        SG9zdCxBY2NlcHQtRW5jb2Rpbmc=
      !binary "WC1OaWNvbmljby1JZA==":
      - !binary |-
        MjM2Njk4NTg=
      !binary "WC1OaWNvbmljby1BdXRoZmxhZw==":
      - !binary |-
        MQ==
      !binary "Q29udGVudC1FbmNvZGluZw==":
      - !binary |-
        Z3ppcA==
      !binary "QWNjZXNzLUNvbnRyb2wtQWxsb3ctQ3JlZGVudGlhbHM=":
      - !binary |-
        dHJ1ZQ==
      !binary "Q29udGVudC1MZW5ndGg=":
      - !binary |-
        MTE3ODA=
      !binary "Q29ubmVjdGlvbg==":
      - !binary |-
        Y2xvc2U=
      !binary "Q29udGVudC1UeXBl":
      - !binary |-
        dGV4dC9odG1s
      !binary "Q29udGVudC1MYW5ndWFnZQ==":
      - !binary |-
        amE=
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 18009 characters]
        WXame+rRBv9DvmHPnRFHErgxnj3gHpLSof8LdJQIAavBAAA=
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:50 GMT
- request:
    method: get
    uri: http://www.nicovideo.jp/
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - nicosid=1369425228.1533492135; area=US; lang=en-us; user_session=user_session_23669858_158439451354553975
      Host:
      - www.nicovideo.jp
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: !binary |-
        T0s=
    headers:
      !binary "RGF0ZQ==":
      - !binary |-
        RnJpLCAyNCBNYXkgMjAxMyAxOTo1Mzo1MCBHTVQ=
      !binary "U2VydmVy":
      - !binary |-
        QXBhY2hl
      !binary "VmFyeQ==":
      - !binary |-
        SG9zdCxBY2NlcHQtRW5jb2Rpbmc=
      !binary "WC1OaWNvbmljby1JZA==":
      - !binary |-
        MjM2Njk4NTg=
      !binary "WC1OaWNvbmljby1BdXRoZmxhZw==":
      - !binary |-
        MQ==
      !binary "Q29udGVudC1FbmNvZGluZw==":
      - !binary |-
        Z3ppcA==
      !binary "QWNjZXNzLUNvbnRyb2wtQWxsb3ctQ3JlZGVudGlhbHM=":
      - !binary |-
        dHJ1ZQ==
      !binary "Q29udGVudC1MZW5ndGg=":
      - !binary |-
        MTE3NzI=
      !binary "Q29ubmVjdGlvbg==":
      - !binary |-
        Y2xvc2U=
      !binary "Q29udGVudC1UeXBl":
      - !binary |-
        dGV4dC9odG1s
      !binary "Q29udGVudC1MYW5ndWFnZQ==":
      - !binary |-
        amE=
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 18009 characters]
        xDPsuTPiSAw3xrMH3ENSPPR/AYOnMNVhwQAA
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:50 GMT
- request:
    method: get
    uri: http://seiga.nicovideo.jp/seiga/im1464351?track=ranking
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - nicosid=1369425228.1533492135; area=US; lang=en-us; user_session=user_session_23669858_158439451354553975
      Host:
      - seiga.nicovideo.jp
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: !binary |-
        T0s=
    headers:
      !binary "RGF0ZQ==":
      - !binary |-
        RnJpLCAyNCBNYXkgMjAxMyAxOTo1Mzo1MSBHTVQ=
      !binary "U2VydmVy":
      - !binary |-
        QXBhY2hl
      !binary "WC1OaWNvbmljby1JZA==":
      - !binary |-
        MjM2Njk4NTg=
      !binary "WC1OaWNvbmljby1BdXRoZmxhZw==":
      - !binary |-
        MQ==
      !binary "WC1GcmFtZS1PcHRpb25z":
      - !binary |-
        U0FNRU9SSUdJTg==
      !binary "WC1Db250ZW50LVR5cGUtT3B0aW9ucw==":
      - !binary |-
        bm9zbmlmZg==
      !binary "U2V0LUNvb2tpZQ==":
      - !binary |-
        X19haF9pPWElM0ExJTNBJTdCaSUzQTE0NjQzNTElM0JpJTNBMTM2OTQyNTIz
        MSUzQiU3RDsgZXhwaXJlcz1TdW4sIDIzLUp1bi0yMDEzIDE5OjUzOjUxIEdN
        VDsgcGF0aD0v
      - !binary |-
        dGFyZ2V0PWlsbHVzdDsgcGF0aD0v
      !binary "Q29ubmVjdGlvbg==":
      - !binary |-
        Y2xvc2U=
      !binary "VHJhbnNmZXItRW5jb2Rpbmc=":
      - !binary |-
        Y2h1bmtlZA==
      !binary "Q29udGVudC1UeXBl":
      - !binary |-
        dGV4dC9odG1sOyBjaGFyc2V0PVVURi04
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 61134 characters]
        Ym9keT4KPC9odG1sPgo=
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:51 GMT
- request:
    method: get
    uri: http://seiga.nicovideo.jp/seiga/im1464351?track=ranking
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - nicosid=1369425228.1533492135; area=US; lang=en-us; user_session=user_session_23669858_158439451354553975
      Host:
      - seiga.nicovideo.jp
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: !binary |-
        T0s=
    headers:
      !binary "RGF0ZQ==":
      - !binary |-
        RnJpLCAyNCBNYXkgMjAxMyAxOTo1Mzo1MSBHTVQ=
      !binary "U2VydmVy":
      - !binary |-
        QXBhY2hl
      !binary "WC1OaWNvbmljby1JZA==":
      - !binary |-
        MjM2Njk4NTg=
      !binary "WC1OaWNvbmljby1BdXRoZmxhZw==":
      - !binary |-
        MQ==
      !binary "WC1GcmFtZS1PcHRpb25z":
      - !binary |-
        U0FNRU9SSUdJTg==
      !binary "WC1Db250ZW50LVR5cGUtT3B0aW9ucw==":
      - !binary |-
        bm9zbmlmZg==
      !binary "U2V0LUNvb2tpZQ==":
      - !binary |-
        X19haF9pPWElM0ExJTNBJTdCaSUzQTE0NjQzNTElM0JpJTNBMTM2OTQyNTIz
        MSUzQiU3RDsgZXhwaXJlcz1TdW4sIDIzLUp1bi0yMDEzIDE5OjUzOjUxIEdN
        VDsgcGF0aD0v
      - !binary |-
        dGFyZ2V0PWlsbHVzdDsgcGF0aD0v
      !binary "Q29ubmVjdGlvbg==":
      - !binary |-
        Y2xvc2U=
      !binary "VHJhbnNmZXItRW5jb2Rpbmc=":
      - !binary |-
        Y2h1bmtlZA==
      !binary "Q29udGVudC1UeXBl":
      - !binary |-
        dGV4dC9odG1sOyBjaGFyc2V0PVVURi04
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 61134 characters]
        Ym9keT4KPC9odG1sPgo=
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:52 GMT
recorded_with: VCR 2.4.0
